void printi(int val);

int val;
int val2 = 2;
int val3 = 2;

int main()
{
  val = 1;
  printi(val);
  printi(val2);
  printi(val3);

  val = val2;
  val2 = val3;
  printi(val);
  printi(val2);
  printi(val3);

  return 0;
}
